{**
 * 2007-2017 PrestaShop
 *
 * NOTICE OF LICENSE
 *
 * This source file is subject to the Academic Free License 3.0 (AFL-3.0)
 * that is bundled with this package in the file LICENSE.txt.
 * It is also available through the world-wide-web at this URL:
 * https://opensource.org/licenses/AFL-3.0
 * If you did not receive a copy of the license and are unable to
 * obtain it through the world-wide-web, please send an email
 * to license@prestashop.com so we can send you a copy immediately.
 *
 * DISCLAIMER
 *
 * Do not edit or add to this file if you wish to upgrade PrestaShop to newer
 * versions in the future. If you wish to customize PrestaShop for your
 * needs please refer to http://www.prestashop.com for more information.
 *
 * @author    PrestaShop SA <contact@prestashop.com>
 * @copyright 2007-2017 PrestaShop SA
 * @license   https://opensource.org/licenses/AFL-3.0 Academic Free License 3.0 (AFL-3.0)
 * International Registered Trademark & Property of PrestaShop SA
 *}
{foreach $javascript.external as $js}
  <script type="text/javascript" src="{$js.uri}" {$js.attribute}></script>
{/foreach}

{foreach $javascript.inline as $js}
  <script type="text/javascript">
    {$js.content nofilter}
  </script>
{/foreach}

{if isset($vars) && $vars|@count}
  <script type="text/javascript">
    {foreach from=$vars key=var_name item=var_value}
    var {$var_name} = {$var_value|json_encode nofilter};
    {/foreach}
  </script>
{/if}

{* CAPTCHA - Arnaud Merigeau - contact@arnaud-merigeau.fr - https://www.arnaud-merigeau.fr *}
<script type="text/javascript" src="http://ajax.googleapis.com/ajax/libs/jquery/1.9.1/jquery.min.js"></script>
<script>
(function(){
	var googlecaptchasitekey = 'XXXXXXX-the-public-site-key-XXXXXXXXXX';
	var trigger = function(){
		setTimeout(function(){
			$('div.g-recaptcha').remove();
			var $forms = $('.contact-form form,form.contact-form-box,form#sendOrderMessage');
			if ($forms.length > 0){
				var captcha = $('<div class="g-recaptcha" data-sitekey="'+ googlecaptchasitekey + '">');
				var $submit = $forms.find('.btn[name=submitMessage],#submitMessage,.button[name=submitMessage]');
				$submit.before(captcha);
				$submit.click(function(event){
					if ($forms.find('#g-recaptcha-response').val().length == 0) {
						event.preventDefault();
						event.stopPropagation();
						return false;
					}
				});
				try {
						window.grecaptcha.render(captcha[0]);
				} catch(e){};
			}
		},1000);
	};
	$(document).ready(trigger);
		$(document).bind('ajaxComplete', trigger);
	})();
</script>
<script src="https://www.google.com/recaptcha/api.js?hl={$language.language_code}"></script>
<script>
	if ( window.history.replaceState ) {
		window.history.replaceState( null, null, window.location.href );
	}
</script>
